/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * 
 * 				The connections settings defines common connection
 * properties, like retries count and timeouts.
 * 			
 * 
 * @version $Revision$ $Date$
 */
public class RemoteConnectionSettings implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field connectionTimeout
     */
    private int connectionTimeout = 0;

    /**
     * Field retrievalRetryCount
     */
    private int retrievalRetryCount = 0;

    /**
     * Field queryString
     */
    private String queryString;

    /**
     * Field userAgentString
     */
    private String userAgentString;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public int getConnectionTimeout()
    {
        return this.connectionTimeout;
    } //-- int getConnectionTimeout() 

    /**
     * Get null
     */
    public String getQueryString()
    {
        return this.queryString;
    } //-- String getQueryString() 

    /**
     * Get null
     */
    public int getRetrievalRetryCount()
    {
        return this.retrievalRetryCount;
    } //-- int getRetrievalRetryCount() 

    /**
     * Get null
     */
    public String getUserAgentString()
    {
        return this.userAgentString;
    } //-- String getUserAgentString() 

    /**
     * Set null
     * 
     * @param connectionTimeout
     */
    public void setConnectionTimeout(int connectionTimeout)
    {
        this.connectionTimeout = connectionTimeout;
    } //-- void setConnectionTimeout(int) 

    /**
     * Set null
     * 
     * @param queryString
     */
    public void setQueryString(String queryString)
    {
        this.queryString = queryString;
    } //-- void setQueryString(String) 

    /**
     * Set null
     * 
     * @param retrievalRetryCount
     */
    public void setRetrievalRetryCount(int retrievalRetryCount)
    {
        this.retrievalRetryCount = retrievalRetryCount;
    } //-- void setRetrievalRetryCount(int) 

    /**
     * Set null
     * 
     * @param userAgentString
     */
    public void setUserAgentString(String userAgentString)
    {
        this.userAgentString = userAgentString;
    } //-- void setUserAgentString(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
