/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RepositoryMetaResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private String id;

    /**
     * Field repoType
     */
    private String repoType;

    /**
     * Field format
     */
    private String format;

    /**
     * Field sizeOnDisk
     */
    private long sizeOnDisk = 0;

    /**
     * Field freeSpaceOnDisk
     */
    private long freeSpaceOnDisk = 0;

    /**
     * Field fileCountInRepository
     */
    private long fileCountInRepository = 0;

    /**
     * Field notFoundCacheSize
     */
    private long notFoundCacheSize = 0;

    /**
     * Field notFoundCacheHits
     */
    private long notFoundCacheHits = 0;

    /**
     * Field notFoundCacheMisses
     */
    private long notFoundCacheMisses = 0;

    /**
     * Field localStorageErrorsCount
     */
    private int localStorageErrorsCount = 0;

    /**
     * Field remoteStorageErrorsCount
     */
    private int remoteStorageErrorsCount = 0;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public long getFileCountInRepository()
    {
        return this.fileCountInRepository;
    } //-- long getFileCountInRepository() 

    /**
     * Get null
     */
    public String getFormat()
    {
        return this.format;
    } //-- String getFormat() 

    /**
     * Get null
     */
    public long getFreeSpaceOnDisk()
    {
        return this.freeSpaceOnDisk;
    } //-- long getFreeSpaceOnDisk() 

    /**
     * Get null
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get null
     */
    public int getLocalStorageErrorsCount()
    {
        return this.localStorageErrorsCount;
    } //-- int getLocalStorageErrorsCount() 

    /**
     * Get null
     */
    public long getNotFoundCacheHits()
    {
        return this.notFoundCacheHits;
    } //-- long getNotFoundCacheHits() 

    /**
     * Get null
     */
    public long getNotFoundCacheMisses()
    {
        return this.notFoundCacheMisses;
    } //-- long getNotFoundCacheMisses() 

    /**
     * Get null
     */
    public long getNotFoundCacheSize()
    {
        return this.notFoundCacheSize;
    } //-- long getNotFoundCacheSize() 

    /**
     * Get null
     */
    public int getRemoteStorageErrorsCount()
    {
        return this.remoteStorageErrorsCount;
    } //-- int getRemoteStorageErrorsCount() 

    /**
     * Get null
     */
    public String getRepoType()
    {
        return this.repoType;
    } //-- String getRepoType() 

    /**
     * Get null
     */
    public long getSizeOnDisk()
    {
        return this.sizeOnDisk;
    } //-- long getSizeOnDisk() 

    /**
     * Set null
     * 
     * @param fileCountInRepository
     */
    public void setFileCountInRepository(long fileCountInRepository)
    {
        this.fileCountInRepository = fileCountInRepository;
    } //-- void setFileCountInRepository(long) 

    /**
     * Set null
     * 
     * @param format
     */
    public void setFormat(String format)
    {
        this.format = format;
    } //-- void setFormat(String) 

    /**
     * Set null
     * 
     * @param freeSpaceOnDisk
     */
    public void setFreeSpaceOnDisk(long freeSpaceOnDisk)
    {
        this.freeSpaceOnDisk = freeSpaceOnDisk;
    } //-- void setFreeSpaceOnDisk(long) 

    /**
     * Set null
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set null
     * 
     * @param localStorageErrorsCount
     */
    public void setLocalStorageErrorsCount(int localStorageErrorsCount)
    {
        this.localStorageErrorsCount = localStorageErrorsCount;
    } //-- void setLocalStorageErrorsCount(int) 

    /**
     * Set null
     * 
     * @param notFoundCacheHits
     */
    public void setNotFoundCacheHits(long notFoundCacheHits)
    {
        this.notFoundCacheHits = notFoundCacheHits;
    } //-- void setNotFoundCacheHits(long) 

    /**
     * Set null
     * 
     * @param notFoundCacheMisses
     */
    public void setNotFoundCacheMisses(long notFoundCacheMisses)
    {
        this.notFoundCacheMisses = notFoundCacheMisses;
    } //-- void setNotFoundCacheMisses(long) 

    /**
     * Set null
     * 
     * @param notFoundCacheSize
     */
    public void setNotFoundCacheSize(long notFoundCacheSize)
    {
        this.notFoundCacheSize = notFoundCacheSize;
    } //-- void setNotFoundCacheSize(long) 

    /**
     * Set null
     * 
     * @param remoteStorageErrorsCount
     */
    public void setRemoteStorageErrorsCount(int remoteStorageErrorsCount)
    {
        this.remoteStorageErrorsCount = remoteStorageErrorsCount;
    } //-- void setRemoteStorageErrorsCount(int) 

    /**
     * Set null
     * 
     * @param repoType
     */
    public void setRepoType(String repoType)
    {
        this.repoType = repoType;
    } //-- void setRepoType(String) 

    /**
     * Set null
     * 
     * @param sizeOnDisk
     */
    public void setSizeOnDisk(long sizeOnDisk)
    {
        this.sizeOnDisk = sizeOnDisk;
    } //-- void setSizeOnDisk(long) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
