/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class AuthenticationClientPermissions implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field viewSearch
     */
    private int viewSearch = 0;

    /**
     * Field viewUpdatedArtifacts
     */
    private int viewUpdatedArtifacts = 0;

    /**
     * Field viewCachedArtifacts
     */
    private int viewCachedArtifacts = 0;

    /**
     * Field viewDeployedArtifacts
     */
    private int viewDeployedArtifacts = 0;

    /**
     * Field viewSystemChanges
     */
    private int viewSystemChanges = 0;

    /**
     * Field maintRepos
     */
    private int maintRepos = 0;

    /**
     * Field maintLogs
     */
    private int maintLogs = 0;

    /**
     * Field maintConfig
     */
    private int maintConfig = 0;

    /**
     * Field configServer
     */
    private int configServer = 0;

    /**
     * Field configGroups
     */
    private int configGroups = 0;

    /**
     * Field configRules
     */
    private int configRules = 0;

    /**
     * Field configRepos
     */
    private int configRepos = 0;

    /**
     * Field configSchedules
     */
    private int configSchedules = 0;

    /**
     * Field configUsers
     */
    private int configUsers = 0;

    /**
     * Field configRoles
     */
    private int configRoles = 0;

    /**
     * Field configPrivileges
     */
    private int configPrivileges = 0;

    /**
     * Field configRepoTargets
     */
    private int configRepoTargets = 0;

    /**
     * Field actionForgotPassword
     */
    private int actionForgotPassword = 0;

    /**
     * Field actionForgotUserid
     */
    private int actionForgotUserid = 0;

    /**
     * Field actionChangePassword
     */
    private int actionChangePassword = 0;

    /**
     * Field actionResetPassword
     */
    private int actionResetPassword = 0;

    /**
     * Field actionEmptyTrash
     */
    private int actionEmptyTrash = 0;

    /**
     * Field actionRunTask
     */
    private int actionRunTask = 0;

    /**
     * Field actionDeleteCache
     */
    private int actionDeleteCache = 0;

    /**
     * Field actionRebuildAttribs
     */
    private int actionRebuildAttribs = 0;

    /**
     * Field actionUploadArtifact
     */
    private int actionUploadArtifact = 0;

    /**
     * Field actionReindex
     */
    private int actionReindex = 0;

    /**
     * Field actionChecksumSearch
     */
    private int actionChecksumSearch = 0;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public int getActionChangePassword()
    {
        return this.actionChangePassword;
    } //-- int getActionChangePassword() 

    /**
     * Get null
     */
    public int getActionChecksumSearch()
    {
        return this.actionChecksumSearch;
    } //-- int getActionChecksumSearch() 

    /**
     * Get null
     */
    public int getActionDeleteCache()
    {
        return this.actionDeleteCache;
    } //-- int getActionDeleteCache() 

    /**
     * Get null
     */
    public int getActionEmptyTrash()
    {
        return this.actionEmptyTrash;
    } //-- int getActionEmptyTrash() 

    /**
     * Get null
     */
    public int getActionForgotPassword()
    {
        return this.actionForgotPassword;
    } //-- int getActionForgotPassword() 

    /**
     * Get null
     */
    public int getActionForgotUserid()
    {
        return this.actionForgotUserid;
    } //-- int getActionForgotUserid() 

    /**
     * Get null
     */
    public int getActionRebuildAttribs()
    {
        return this.actionRebuildAttribs;
    } //-- int getActionRebuildAttribs() 

    /**
     * Get null
     */
    public int getActionReindex()
    {
        return this.actionReindex;
    } //-- int getActionReindex() 

    /**
     * Get null
     */
    public int getActionResetPassword()
    {
        return this.actionResetPassword;
    } //-- int getActionResetPassword() 

    /**
     * Get null
     */
    public int getActionRunTask()
    {
        return this.actionRunTask;
    } //-- int getActionRunTask() 

    /**
     * Get null
     */
    public int getActionUploadArtifact()
    {
        return this.actionUploadArtifact;
    } //-- int getActionUploadArtifact() 

    /**
     * Get null
     */
    public int getConfigGroups()
    {
        return this.configGroups;
    } //-- int getConfigGroups() 

    /**
     * Get null
     */
    public int getConfigPrivileges()
    {
        return this.configPrivileges;
    } //-- int getConfigPrivileges() 

    /**
     * Get null
     */
    public int getConfigRepoTargets()
    {
        return this.configRepoTargets;
    } //-- int getConfigRepoTargets() 

    /**
     * Get null
     */
    public int getConfigRepos()
    {
        return this.configRepos;
    } //-- int getConfigRepos() 

    /**
     * Get null
     */
    public int getConfigRoles()
    {
        return this.configRoles;
    } //-- int getConfigRoles() 

    /**
     * Get null
     */
    public int getConfigRules()
    {
        return this.configRules;
    } //-- int getConfigRules() 

    /**
     * Get null
     */
    public int getConfigSchedules()
    {
        return this.configSchedules;
    } //-- int getConfigSchedules() 

    /**
     * Get null
     */
    public int getConfigServer()
    {
        return this.configServer;
    } //-- int getConfigServer() 

    /**
     * Get null
     */
    public int getConfigUsers()
    {
        return this.configUsers;
    } //-- int getConfigUsers() 

    /**
     * Get null
     */
    public int getMaintConfig()
    {
        return this.maintConfig;
    } //-- int getMaintConfig() 

    /**
     * Get null
     */
    public int getMaintLogs()
    {
        return this.maintLogs;
    } //-- int getMaintLogs() 

    /**
     * Get null
     */
    public int getMaintRepos()
    {
        return this.maintRepos;
    } //-- int getMaintRepos() 

    /**
     * Get null
     */
    public int getViewCachedArtifacts()
    {
        return this.viewCachedArtifacts;
    } //-- int getViewCachedArtifacts() 

    /**
     * Get null
     */
    public int getViewDeployedArtifacts()
    {
        return this.viewDeployedArtifacts;
    } //-- int getViewDeployedArtifacts() 

    /**
     * Get null
     */
    public int getViewSearch()
    {
        return this.viewSearch;
    } //-- int getViewSearch() 

    /**
     * Get null
     */
    public int getViewSystemChanges()
    {
        return this.viewSystemChanges;
    } //-- int getViewSystemChanges() 

    /**
     * Get null
     */
    public int getViewUpdatedArtifacts()
    {
        return this.viewUpdatedArtifacts;
    } //-- int getViewUpdatedArtifacts() 

    /**
     * Set null
     * 
     * @param actionChangePassword
     */
    public void setActionChangePassword(int actionChangePassword)
    {
        this.actionChangePassword = actionChangePassword;
    } //-- void setActionChangePassword(int) 

    /**
     * Set null
     * 
     * @param actionChecksumSearch
     */
    public void setActionChecksumSearch(int actionChecksumSearch)
    {
        this.actionChecksumSearch = actionChecksumSearch;
    } //-- void setActionChecksumSearch(int) 

    /**
     * Set null
     * 
     * @param actionDeleteCache
     */
    public void setActionDeleteCache(int actionDeleteCache)
    {
        this.actionDeleteCache = actionDeleteCache;
    } //-- void setActionDeleteCache(int) 

    /**
     * Set null
     * 
     * @param actionEmptyTrash
     */
    public void setActionEmptyTrash(int actionEmptyTrash)
    {
        this.actionEmptyTrash = actionEmptyTrash;
    } //-- void setActionEmptyTrash(int) 

    /**
     * Set null
     * 
     * @param actionForgotPassword
     */
    public void setActionForgotPassword(int actionForgotPassword)
    {
        this.actionForgotPassword = actionForgotPassword;
    } //-- void setActionForgotPassword(int) 

    /**
     * Set null
     * 
     * @param actionForgotUserid
     */
    public void setActionForgotUserid(int actionForgotUserid)
    {
        this.actionForgotUserid = actionForgotUserid;
    } //-- void setActionForgotUserid(int) 

    /**
     * Set null
     * 
     * @param actionRebuildAttribs
     */
    public void setActionRebuildAttribs(int actionRebuildAttribs)
    {
        this.actionRebuildAttribs = actionRebuildAttribs;
    } //-- void setActionRebuildAttribs(int) 

    /**
     * Set null
     * 
     * @param actionReindex
     */
    public void setActionReindex(int actionReindex)
    {
        this.actionReindex = actionReindex;
    } //-- void setActionReindex(int) 

    /**
     * Set null
     * 
     * @param actionResetPassword
     */
    public void setActionResetPassword(int actionResetPassword)
    {
        this.actionResetPassword = actionResetPassword;
    } //-- void setActionResetPassword(int) 

    /**
     * Set null
     * 
     * @param actionRunTask
     */
    public void setActionRunTask(int actionRunTask)
    {
        this.actionRunTask = actionRunTask;
    } //-- void setActionRunTask(int) 

    /**
     * Set null
     * 
     * @param actionUploadArtifact
     */
    public void setActionUploadArtifact(int actionUploadArtifact)
    {
        this.actionUploadArtifact = actionUploadArtifact;
    } //-- void setActionUploadArtifact(int) 

    /**
     * Set null
     * 
     * @param configGroups
     */
    public void setConfigGroups(int configGroups)
    {
        this.configGroups = configGroups;
    } //-- void setConfigGroups(int) 

    /**
     * Set null
     * 
     * @param configPrivileges
     */
    public void setConfigPrivileges(int configPrivileges)
    {
        this.configPrivileges = configPrivileges;
    } //-- void setConfigPrivileges(int) 

    /**
     * Set null
     * 
     * @param configRepoTargets
     */
    public void setConfigRepoTargets(int configRepoTargets)
    {
        this.configRepoTargets = configRepoTargets;
    } //-- void setConfigRepoTargets(int) 

    /**
     * Set null
     * 
     * @param configRepos
     */
    public void setConfigRepos(int configRepos)
    {
        this.configRepos = configRepos;
    } //-- void setConfigRepos(int) 

    /**
     * Set null
     * 
     * @param configRoles
     */
    public void setConfigRoles(int configRoles)
    {
        this.configRoles = configRoles;
    } //-- void setConfigRoles(int) 

    /**
     * Set null
     * 
     * @param configRules
     */
    public void setConfigRules(int configRules)
    {
        this.configRules = configRules;
    } //-- void setConfigRules(int) 

    /**
     * Set null
     * 
     * @param configSchedules
     */
    public void setConfigSchedules(int configSchedules)
    {
        this.configSchedules = configSchedules;
    } //-- void setConfigSchedules(int) 

    /**
     * Set null
     * 
     * @param configServer
     */
    public void setConfigServer(int configServer)
    {
        this.configServer = configServer;
    } //-- void setConfigServer(int) 

    /**
     * Set null
     * 
     * @param configUsers
     */
    public void setConfigUsers(int configUsers)
    {
        this.configUsers = configUsers;
    } //-- void setConfigUsers(int) 

    /**
     * Set null
     * 
     * @param maintConfig
     */
    public void setMaintConfig(int maintConfig)
    {
        this.maintConfig = maintConfig;
    } //-- void setMaintConfig(int) 

    /**
     * Set null
     * 
     * @param maintLogs
     */
    public void setMaintLogs(int maintLogs)
    {
        this.maintLogs = maintLogs;
    } //-- void setMaintLogs(int) 

    /**
     * Set null
     * 
     * @param maintRepos
     */
    public void setMaintRepos(int maintRepos)
    {
        this.maintRepos = maintRepos;
    } //-- void setMaintRepos(int) 

    /**
     * Set null
     * 
     * @param viewCachedArtifacts
     */
    public void setViewCachedArtifacts(int viewCachedArtifacts)
    {
        this.viewCachedArtifacts = viewCachedArtifacts;
    } //-- void setViewCachedArtifacts(int) 

    /**
     * Set null
     * 
     * @param viewDeployedArtifacts
     */
    public void setViewDeployedArtifacts(int viewDeployedArtifacts)
    {
        this.viewDeployedArtifacts = viewDeployedArtifacts;
    } //-- void setViewDeployedArtifacts(int) 

    /**
     * Set null
     * 
     * @param viewSearch
     */
    public void setViewSearch(int viewSearch)
    {
        this.viewSearch = viewSearch;
    } //-- void setViewSearch(int) 

    /**
     * Set null
     * 
     * @param viewSystemChanges
     */
    public void setViewSystemChanges(int viewSystemChanges)
    {
        this.viewSystemChanges = viewSystemChanges;
    } //-- void setViewSystemChanges(int) 

    /**
     * Set null
     * 
     * @param viewUpdatedArtifacts
     */
    public void setViewUpdatedArtifacts(int viewUpdatedArtifacts)
    {
        this.viewUpdatedArtifacts = viewUpdatedArtifacts;
    } //-- void setViewUpdatedArtifacts(int) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
