/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * 
 * 				Remote authentication tokens used in remote authentications
 * against HTTP Proxies and/or protected remote
 * 				repositories.
 * 			
 * 
 * @version $Revision$ $Date$
 */
public class AuthenticationSettings implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field username
     */
    private String username;

    /**
     * Field password
     */
    private String password;

    /**
     * Field ntlmHost
     */
    private String ntlmHost;

    /**
     * Field ntlmDomain
     */
    private String ntlmDomain;

    /**
     * Field privateKey
     */
    private String privateKey;

    /**
     * Field passphrase
     */
    private String passphrase;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public String getNtlmDomain()
    {
        return this.ntlmDomain;
    } //-- String getNtlmDomain() 

    /**
     * Get null
     */
    public String getNtlmHost()
    {
        return this.ntlmHost;
    } //-- String getNtlmHost() 

    /**
     * Get null
     */
    public String getPassphrase()
    {
        return this.passphrase;
    } //-- String getPassphrase() 

    /**
     * Get null
     */
    public String getPassword()
    {
        return this.password;
    } //-- String getPassword() 

    /**
     * Get null
     */
    public String getPrivateKey()
    {
        return this.privateKey;
    } //-- String getPrivateKey() 

    /**
     * Get null
     */
    public String getUsername()
    {
        return this.username;
    } //-- String getUsername() 

    /**
     * Set null
     * 
     * @param ntlmDomain
     */
    public void setNtlmDomain(String ntlmDomain)
    {
        this.ntlmDomain = ntlmDomain;
    } //-- void setNtlmDomain(String) 

    /**
     * Set null
     * 
     * @param ntlmHost
     */
    public void setNtlmHost(String ntlmHost)
    {
        this.ntlmHost = ntlmHost;
    } //-- void setNtlmHost(String) 

    /**
     * Set null
     * 
     * @param passphrase
     */
    public void setPassphrase(String passphrase)
    {
        this.passphrase = passphrase;
    } //-- void setPassphrase(String) 

    /**
     * Set null
     * 
     * @param password
     */
    public void setPassword(String password)
    {
        this.password = password;
    } //-- void setPassword(String) 

    /**
     * Set null
     * 
     * @param privateKey
     */
    public void setPrivateKey(String privateKey)
    {
        this.privateKey = privateKey;
    } //-- void setPrivateKey(String) 

    /**
     * Set null
     * 
     * @param username
     */
    public void setUsername(String username)
    {
        this.username = username;
    } //-- void setUsername(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
