/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class GlobalConfigurationResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field securityEnabled
     */
    private boolean securityEnabled = false;

    /**
     * Field securityAnonymousAccessEnabled
     */
    private boolean securityAnonymousAccessEnabled = false;

    /**
     * Field securityAnonymousUsername
     */
    private String securityAnonymousUsername;

    /**
     * Field securityAnonymousPassword
     */
    private String securityAnonymousPassword;

    /**
     * Field workingDirectory
     */
    private String workingDirectory;

    /**
     * Field logDirectory
     */
    private String logDirectory;

    /**
     * Field baseUrl
     */
    private String baseUrl;

    /**
     * Field globalConnectionSettings
     */
    private RemoteConnectionSettings globalConnectionSettings;

    /**
     * Field smtpSettings
     */
    private SmtpSettings smtpSettings;

    /**
     * Field globalHttpProxySettings
     */
    private RemoteHttpProxySettings globalHttpProxySettings;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public String getBaseUrl()
    {
        return this.baseUrl;
    } //-- String getBaseUrl() 

    /**
     * Get null
     */
    public RemoteConnectionSettings getGlobalConnectionSettings()
    {
        return this.globalConnectionSettings;
    } //-- RemoteConnectionSettings getGlobalConnectionSettings() 

    /**
     * Get null
     */
    public RemoteHttpProxySettings getGlobalHttpProxySettings()
    {
        return this.globalHttpProxySettings;
    } //-- RemoteHttpProxySettings getGlobalHttpProxySettings() 

    /**
     * Get null
     */
    public String getLogDirectory()
    {
        return this.logDirectory;
    } //-- String getLogDirectory() 

    /**
     * Get null
     */
    public String getSecurityAnonymousPassword()
    {
        return this.securityAnonymousPassword;
    } //-- String getSecurityAnonymousPassword() 

    /**
     * Get null
     */
    public String getSecurityAnonymousUsername()
    {
        return this.securityAnonymousUsername;
    } //-- String getSecurityAnonymousUsername() 

    /**
     * Get null
     */
    public SmtpSettings getSmtpSettings()
    {
        return this.smtpSettings;
    } //-- SmtpSettings getSmtpSettings() 

    /**
     * Get null
     */
    public String getWorkingDirectory()
    {
        return this.workingDirectory;
    } //-- String getWorkingDirectory() 

    /**
     * Get null
     */
    public boolean isSecurityAnonymousAccessEnabled()
    {
        return this.securityAnonymousAccessEnabled;
    } //-- boolean isSecurityAnonymousAccessEnabled() 

    /**
     * Get null
     */
    public boolean isSecurityEnabled()
    {
        return this.securityEnabled;
    } //-- boolean isSecurityEnabled() 

    /**
     * Set null
     * 
     * @param baseUrl
     */
    public void setBaseUrl(String baseUrl)
    {
        this.baseUrl = baseUrl;
    } //-- void setBaseUrl(String) 

    /**
     * Set null
     * 
     * @param globalConnectionSettings
     */
    public void setGlobalConnectionSettings(RemoteConnectionSettings globalConnectionSettings)
    {
        this.globalConnectionSettings = globalConnectionSettings;
    } //-- void setGlobalConnectionSettings(RemoteConnectionSettings) 

    /**
     * Set null
     * 
     * @param globalHttpProxySettings
     */
    public void setGlobalHttpProxySettings(RemoteHttpProxySettings globalHttpProxySettings)
    {
        this.globalHttpProxySettings = globalHttpProxySettings;
    } //-- void setGlobalHttpProxySettings(RemoteHttpProxySettings) 

    /**
     * Set null
     * 
     * @param logDirectory
     */
    public void setLogDirectory(String logDirectory)
    {
        this.logDirectory = logDirectory;
    } //-- void setLogDirectory(String) 

    /**
     * Set null
     * 
     * @param securityAnonymousAccessEnabled
     */
    public void setSecurityAnonymousAccessEnabled(boolean securityAnonymousAccessEnabled)
    {
        this.securityAnonymousAccessEnabled = securityAnonymousAccessEnabled;
    } //-- void setSecurityAnonymousAccessEnabled(boolean) 

    /**
     * Set null
     * 
     * @param securityAnonymousPassword
     */
    public void setSecurityAnonymousPassword(String securityAnonymousPassword)
    {
        this.securityAnonymousPassword = securityAnonymousPassword;
    } //-- void setSecurityAnonymousPassword(String) 

    /**
     * Set null
     * 
     * @param securityAnonymousUsername
     */
    public void setSecurityAnonymousUsername(String securityAnonymousUsername)
    {
        this.securityAnonymousUsername = securityAnonymousUsername;
    } //-- void setSecurityAnonymousUsername(String) 

    /**
     * Set null
     * 
     * @param securityEnabled
     */
    public void setSecurityEnabled(boolean securityEnabled)
    {
        this.securityEnabled = securityEnabled;
    } //-- void setSecurityEnabled(boolean) 

    /**
     * Set null
     * 
     * @param smtpSettings
     */
    public void setSmtpSettings(SmtpSettings smtpSettings)
    {
        this.smtpSettings = smtpSettings;
    } //-- void setSmtpSettings(SmtpSettings) 

    /**
     * Set null
     * 
     * @param workingDirectory
     */
    public void setWorkingDirectory(String workingDirectory)
    {
        this.workingDirectory = workingDirectory;
    } //-- void setWorkingDirectory(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
