/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class PrivilegeBaseResource implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field name
     */
    private String name;

    /**
     * Field type
     */
    private String type;

    /**
     * Field description
     */
    private String description;

    /**
     * Field method
     */
    private java.util.List method;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addMethod
     * 
     * @param string
     */
    public void addMethod(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "PrivilegeBaseResource.addMethod(string) parameter must be instanceof " + String.class.getName() );
        }
        getMethod().add( string );
    } //-- void addMethod(String) 

    /**
     * Get null
     */
    public String getDescription()
    {
        return this.description;
    } //-- String getDescription() 

    /**
     * Method getMethod
     */
    public java.util.List getMethod()
    {
        if ( this.method == null )
        {
            this.method = new java.util.ArrayList();
        }
        
        return this.method;
    } //-- java.util.List getMethod() 

    /**
     * Get null
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Get null
     */
    public String getType()
    {
        return this.type;
    } //-- String getType() 

    /**
     * Method removeMethod
     * 
     * @param string
     */
    public void removeMethod(String string)
    {
        if ( !(string instanceof String) )
        {
            throw new ClassCastException( "PrivilegeBaseResource.removeMethod(string) parameter must be instanceof " + String.class.getName() );
        }
        getMethod().remove( string );
    } //-- void removeMethod(String) 

    /**
     * Set null
     * 
     * @param description
     */
    public void setDescription(String description)
    {
        this.description = description;
    } //-- void setDescription(String) 

    /**
     * Set null
     * 
     * @param method
     */
    public void setMethod(java.util.List method)
    {
        this.method = method;
    } //-- void setMethod(java.util.List) 

    /**
     * Set null
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set null
     * 
     * @param type
     */
    public void setType(String type)
    {
        this.type = type;
    } //-- void setType(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
