/*
 * $Id$
 */

package org.sonatype.nexus.rest.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * The HTTP Proxy defines proxies used to access the internet.
 * 
 * @version $Revision$ $Date$
 */
public class RemoteHttpProxySettings implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field proxyHostname
     */
    private String proxyHostname;

    /**
     * Field proxyPort
     */
    private int proxyPort = 0;

    /**
     * Field authentication
     */
    private AuthenticationSettings authentication;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public AuthenticationSettings getAuthentication()
    {
        return this.authentication;
    } //-- AuthenticationSettings getAuthentication() 

    /**
     * Get null
     */
    public String getProxyHostname()
    {
        return this.proxyHostname;
    } //-- String getProxyHostname() 

    /**
     * Get null
     */
    public int getProxyPort()
    {
        return this.proxyPort;
    } //-- int getProxyPort() 

    /**
     * Set null
     * 
     * @param authentication
     */
    public void setAuthentication(AuthenticationSettings authentication)
    {
        this.authentication = authentication;
    } //-- void setAuthentication(AuthenticationSettings) 

    /**
     * Set null
     * 
     * @param proxyHostname
     */
    public void setProxyHostname(String proxyHostname)
    {
        this.proxyHostname = proxyHostname;
    } //-- void setProxyHostname(String) 

    /**
     * Set null
     * 
     * @param proxyPort
     */
    public void setProxyPort(int proxyPort)
    {
        this.proxyPort = proxyPort;
    } //-- void setProxyPort(int) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
